summaryrefslogtreecommitdiffstats
path: root/scripts/oe-selftest
diff options
context:
space:
mode:
authorHumberto Ibarra <humberto.ibarra.lopez@intel.com>2016-09-12 15:30:50 -0500
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-09-15 12:14:40 +0100
commita378b817504986173c4b0984a28aead247589b3f (patch)
tree8e2c9f8565c2ec99e79d8cea47f7fc13acad86c3 /scripts/oe-selftest
parent06092cee0dc8c7cd2408ddfa9e9dc43fd9dfea2e (diff)
downloadopenembedded-core-a378b817504986173c4b0984a28aead247589b3f.tar.gz
openembedded-core-a378b817504986173c4b0984a28aead247589b3f.tar.bz2
openembedded-core-a378b817504986173c4b0984a28aead247589b3f.zip
oe-selftest: check for coverage version before starting tests
python coverage versions lower than 4.x have problems with some distros. Adding the 4.x version as requirement to continue with coverage tracking. [YOCTO #10207] Signed-off-by: Humberto Ibarra <humberto.ibarra.lopez@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'scripts/oe-selftest')
-rwxr-xr-xscripts/oe-selftest4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/oe-selftest b/scripts/oe-selftest
index 72bf4dda6a..d9ffd40e8c 100755
--- a/scripts/oe-selftest
+++ b/scripts/oe-selftest
@@ -605,6 +605,10 @@ def buildResultClass(args):
if self.coverage_installed:
log.info("Coverage is enabled")
+ major_version = int(coverage.version.__version__[0])
+ if major_version < 4:
+ log.error("python coverage %s installed. Require version 4 or greater." % coverage.version.__version__)
+ self.stop()
# In case the user has not set the variable COVERAGE_PROCESS_START,
# create a default one and export it. The COVERAGE_PROCESS_START
# value indicates where the coverage configuration file resides